Bug 60295 - Webalizer configuration file error
Webalizer configuration file error
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: webalizer (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
http://mrtg.sixnet.net/webalizer/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-24 16:58 EST by Louis Aslett
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-24 16:58:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Louis Aslett 2002-02-24 16:58:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; 0.7) Gecko/20010316

Description of problem:
Webalizer does not work properly "out-of-the-box".  Since RedHat defaults to
rotating Apache log files weekly, Webalizer only records at most a week at a
time in the reports it produces.  The Webalizer log file (/etc/webalizer.conf)
should have the line:

#Incremental     no

Set to:

Incremental     yes

for default installs.

Obviously this bug report is useless for RH7.2, but perhaps the default
/etc/webalizer.conf file should be changed for the next RH release to work out
of the box with RedHat's other settings.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install webalizer RPM
2.Leave Webalizer to analyze an active apache for over a month



Actual Results:  Notice that you only ever see a running week for each month.

Expected Results:  The whole month should remain stored in the webalizer summary
format, because it should be using the webalizer.current incremental file to
store the month-so-far info in.

Additional info:
Comment 1 Ngo Than 2002-02-25 07:15:15 EST
it's fixed in 2.01_09-5. Thanks for your reports.
Comment 2 Mark J. Cox (Product Security) 2002-12-04 03:33:39 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-254.html

Note You need to log in before you can comment on or make changes to this bug.